Debian Bug report logs - #720188
kfreebsd: please implemente/expose waitid function & wait6 syscall

version graph

Package: libc0.1-dev; Maintainer for libc0.1-dev is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.1-dev is src:eglibc.

Reported by: Dmitrijs Ledkovs <xnox@debian.org>

Date: Mon, 19 Aug 2013 13:57:01 UTC

Severity: normal

Found in version eglibc/2.17-92

Fixed in versions eglibc/2.18-0experimental0, eglibc/2.18-1

Done: Adam Conrad <adconrad@0c3.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, petr.salinger@seznam.cz, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#720188; Package libc0.1-dev. (Mon, 19 Aug 2013 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
New Bug report received and forwarded. Copy sent to petr.salinger@seznam.cz, GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 19 Aug 2013 13:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd: please implemente/expose waitid function & wait6 syscall
Date: Mon, 19 Aug 2013 14:54:53 +0100
Package: libc0.1-dev
Version: 2.17-92
Severity: normal
X-Debbugs-CC: Petr.Salinger@seznam.cz

Dear Maintainer,
Recently in FreeBSD waitid was implemented[1] this includes:
* waitid function, implemented via wait6 syscall
* option flags WEXITED WTRAPPED added

More details & patch in the PR linked.

This is now available in prerelease FreeBSD 9.2 (I'm using 9.2-rc2). I
have verified and tested that it works correctly for my needs.

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=170346&cat=

Can it please be added to eglibc as used by Debian/kFreeBSD ports? the
9.2 kernel is already available in Debian. (If possible in sid, or
e.g. at least in experimental)

I can help writting a patch, but I have no prior knoweledge in hacking eglibc.

Regards,

Dmitrijs.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 10.0-0-amd64
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc0.1-dev:kfreebsd-amd64 depends on:
ii  kfreebsd-kernel-headers  9.1-3
ii  libc-dev-bin             2.17-92
ii  libc0.1                  2.17-92

Versions of packages libc0.1-dev:kfreebsd-amd64 recommends:
ii  gcc [c-compiler]      4:4.7.2-1
ii  gcc-4.7 [c-compiler]  4.7.3-6

Versions of packages libc0.1-dev:kfreebsd-amd64 suggests:
pn  glibc-doc     <none>
pn  manpages-dev  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#720188; Package libc0.1-dev. (Mon, 19 Aug 2013 14:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 19 Aug 2013 14:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 720188@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Dmitrijs Ledkovs <xnox@debian.org>, 720188@bugs.debian.org
Subject: Re: Bug#720188: kfreebsd: please implemente/expose waitid function & wait6 syscall
Date: Mon, 19 Aug 2013 16:43:50 +0200 (CEST)
> Recently in FreeBSD waitid was implemented[1] this includes:
> * waitid function, implemented via wait6 syscall
> * option flags WEXITED WTRAPPED added
>
> More details & patch in the PR linked.
>
> This is now available in prerelease FreeBSD 9.2 (I'm using 9.2-rc2). I
> have verified and tested that it works correctly for my needs.
>
> [1] http://www.freebsd.org/cgi/query-pr.cgi?pr=170346&cat=
>
> Can it please be added to eglibc as used by Debian/kFreeBSD ports? the
> 9.2 kernel is already available in Debian. (If possible in sid, or
> e.g. at least in experimental)
>
> I can help writting a patch, but I have no prior knoweledge in hacking eglibc.

It is planned, but (e)glibc 2.18 upload have to go first, due to changes 
of idtype_t values. See also 218_waitid* in
http://anonscm.debian.org/viewvc/glibc-bsd/trunk/glibc-ports/

We also have to provide (reasonable) fallback implementation
under wheezy kernels.

Petr



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#720188; Package libc0.1-dev. (Mon, 19 Aug 2013 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 19 Aug 2013 22:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 720188@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 720188@bugs.debian.org
Subject: Re: Bug#720188: kfreebsd: please implemente/expose waitid function & wait6 syscall
Date: Mon, 19 Aug 2013 23:03:45 +0100
On 19 August 2013 15:43, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
>> Recently in FreeBSD waitid was implemented[1] this includes:
>> * waitid function, implemented via wait6 syscall
>> * option flags WEXITED WTRAPPED added
>>
>> More details & patch in the PR linked.
>>
>> This is now available in prerelease FreeBSD 9.2 (I'm using 9.2-rc2). I
>> have verified and tested that it works correctly for my needs.
>>
>> [1] http://www.freebsd.org/cgi/query-pr.cgi?pr=170346&cat=
>>
>> Can it please be added to eglibc as used by Debian/kFreeBSD ports? the
>> 9.2 kernel is already available in Debian. (If possible in sid, or
>> e.g. at least in experimental)
>>
>> I can help writting a patch, but I have no prior knoweledge in hacking
>> eglibc.
>
>
> It is planned, but (e)glibc 2.18 upload have to go first, due to changes of
> idtype_t values. See also 218_waitid* in
> http://anonscm.debian.org/viewvc/glibc-bsd/trunk/glibc-ports/
>
> We also have to provide (reasonable) fallback implementation
> under wheezy kernels.
>

Cool! Excellent stuff! I've tried applying 218_waitid* things against
the eglibc-package as is in the debian trunk (2.17 based) and failed
to compile it properly.
Is there a way for me to compile debs or apt-get libc 2.18 with above
patches applied?

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#720188; Package libc0.1-dev. (Tue, 20 Aug 2013 06:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 20 Aug 2013 06:30:07 GMT) Full text and rfc822 format available.

Message #20 received at 720188@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Dmitrijs Ledkovs <xnox@debian.org>
Cc: 720188@bugs.debian.org
Subject: Re: Bug#720188: kfreebsd: please implemente/expose waitid function & wait6 syscall
Date: Tue, 20 Aug 2013 08:26:37 +0200 (CEST)
>> It is planned, but (e)glibc 2.18 upload have to go first, due to changes of
>> idtype_t values. See also 218_waitid* in
>> http://anonscm.debian.org/viewvc/glibc-bsd/trunk/glibc-ports/
>>
>> We also have to provide (reasonable) fallback implementation
>> under wheezy kernels.
>
> Cool! Excellent stuff! I've tried applying 218_waitid* things against
> the eglibc-package as is in the debian trunk (2.17 based) and failed
> to compile it properly.
> Is there a way for me to compile debs

The 218_waitid_common.diff is against main tree,
the 218_waitid_kbsd.diff is against kfreebsd/ subdir
and 218_waitid.c have to be placed as waitid.c in kfreebsd/ subdir.

It worked a month ago ;-)

> or apt-get libc 2.18 with above patches applied?

The eglibc upstream have not yet merged glibc 2.18.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#720188; Package libc0.1-dev. (Fri, 01 Nov 2013 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 01 Nov 2013 13:12:04 GMT) Full text and rfc822 format available.

Message #25 received at 720188@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 720188@bugs.debian.org
Subject: Re: Bug#720188: kfreebsd: please implemente/expose waitid function & wait6 syscall
Date: Fri, 1 Nov 2013 13:10:47 +0000
[Message part 1 (text/plain, inline)]
On 20 August 2013 07:26, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
>>> It is planned, but (e)glibc 2.18 upload have to go first, due to changes
>>> of
>>> idtype_t values. See also 218_waitid* in
>>> http://anonscm.debian.org/viewvc/glibc-bsd/trunk/glibc-ports/
>>>
>>> We also have to provide (reasonable) fallback implementation
>>> under wheezy kernels.
>>
>>
>> Cool! Excellent stuff! I've tried applying 218_waitid* things against
>> the eglibc-package as is in the debian trunk (2.17 based) and failed
>> to compile it properly.
>> Is there a way for me to compile debs
>
>
> The 218_waitid_common.diff is against main tree,
> the 218_waitid_kbsd.diff is against kfreebsd/ subdir
> and 218_waitid.c have to be placed as waitid.c in kfreebsd/ subdir.
>
> It worked a month ago ;-)


Right, and it still "works", well at raising system errors =) I've now
tried it from the eglibc-2.18 packaging branch.

I've tried adding wait6 syscall & implementing waitid using it, but it
didn't quite managed to make it compile (i got linker errors waying it
cannot find __GI___syscall_wait6).

Can we set minimal kfreebsd kernel version when configuring/compiling
eglibc such that if compatibility with older freebsd kernels is needed
the wrapper implementation is used,
otherwise if compiled for freebsd kernels >= 9.2, wait6 version is
used? And then distributions, e.g. kfreebsd/Debian can choose where to
cut the line.

Can you see what I have done wrong? (it's my first time trying to hack on glibc)

Regards,

Dmitrijs.
[wait6.patch (text/x-patch, attachment)]

Information stored :
Bug#720188; Package libc0.1-dev. (Fri, 01 Nov 2013 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Fri, 01 Nov 2013 15:48:04 GMT) Full text and rfc822 format available.

Message #30 received at 720188-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Dmitrijs Ledkovs <xnox@debian.org>
Cc: 720188-quiet@bugs.debian.org
Subject: Re: Bug#720188: kfreebsd: please implemente/expose waitid function & wait6 syscall
Date: Fri, 1 Nov 2013 16:45:26 +0100 (CET)
> Right, and it still "works", well at raising system errors =) I've now
> tried it from the eglibc-2.18 packaging branch.
>
> I've tried adding wait6 syscall & implementing waitid using it, but it
> didn't quite managed to make it compile (i got linker errors waying it
> cannot find __GI___syscall_wait6).

Iff I remember correctly, just change in syscalls.list line into

sys_wait6	EXTRA	wait6		i:iiWiPP	__syscall_wait6

> Can we set minimal kfreebsd kernel version when configuring/compiling
> eglibc such that if compatibility with older freebsd kernels is needed
> the wrapper implementation is used,
> otherwise if compiled for freebsd kernels >= 9.2, wait6 version is
> used? And then distributions, e.g. kfreebsd/Debian can choose where to
> cut the line.

See 
eglibc-2.18/ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/kernel-features.h

Insert something like
#if __KFREEBSD_KERNEL_VERSION >= 0x90200
# define __ASSUME_WAIT6             1
#endif

And alter waitid.c, after inspire by ENOSYS case in
eglibc-2.18/ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/posix_fallocate.c

This way, wait6() will be used when available (runtime detection).
For next stable debian release, the minimal version is already
set to 8.3 and cannot be raised more - wheezy offers kfreebsd-8 8.3-6
and kfreebsd-9 9.0-10.

Please beware of different kernel and user space definition of id_t;
Therefore, use as prototype

extern int __syscall_wait6 (idtype_t itype, long long id,
			    int *status, int options,
			    struct rusage *rusage, siginfo_t *infop);
libc_hidden_proto (__syscall_wait6)


Petr



Added tag(s) pending. Request was from Petr Salinger <ps-guest@alioth.debian.org> to control@bugs.debian.org. (Fri, 08 Nov 2013 20:18:04 GMT) Full text and rfc822 format available.

Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. (Tue, 10 Dec 2013 09:24:18 GMT) Full text and rfc822 format available.

Notification sent to Dmitrijs Ledkovs <xnox@debian.org>:
Bug acknowledged by developer. (Tue, 10 Dec 2013 09:24:18 GMT) Full text and rfc822 format available.

Message #37 received at 720188-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 720188-close@bugs.debian.org
Subject: Bug#720188: fixed in eglibc 2.18-0experimental0
Date: Tue, 10 Dec 2013 09:21:08 +0000
Source: eglibc
Source-Version: 2.18-0experimental0

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720188@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Dec 2013 22:14:44 -0700
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc libc6-dev-sparc libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc6-armhf libc6-dev-armhf libc6-armel libc6-dev-armel libc0.1-i386 libc0.1-dev-i386 libc6-x32 libc6-dev-x32 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: all amd64 i386 source
Version: 2.18-0experimental0
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Adam Conrad <adconrad@0c3.net>
Closes: 716775 717557 717912 720188 727181
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-armel - Embedded GNU C Library: ARM softfp shared libraries for armhf
 libc6-armhf - Embedded GNU C Library: ARM hard float shared libraries for armel
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-armel - Embedded GNU C Library: ARM softfp development libraries for armh
 libc6-dev-armhf - Embedded GNU C Library: ARM hard float development libraries for
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-dev-sparc - Embedded GNU C Library: 32bit Development Libraries for SPARC
 libc6-dev-x32 - Embedded GNU C Library: X32 ABI Development Libraries for AMD64
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparc - Embedded GNU C Library: 32bit Shared libraries for SPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-x32  - Embedded GNU C Library: X32 ABI Shared libraries for AMD64
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales-all - Embedded GNU C Library: Precompiled locale data
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Changes: 
 eglibc (2.18-0experimental0) experimental; urgency=low
 .
   [ Adam Conrad ]
   * New upstream release: version 2.18, orig tarball built at SVN r24653:
     - patches/alpha/local-string-functions.diff: Rebased.
     - patches/alpha/submitted-PTR_MANGLE.diff: Rebased.
     - patches/any/local-allocalim-header.diff: Rebased.
     - patches/any/local-disable-test-tgmath2.diff: Rebased.
     - patches/any/local-dlfptr.diff: Rebased.
     - patches/any/local-ld-multiarch.diff: Rebased.
     - patches/any/local-ldso-disable-hwcap.diff: Rebased.
     - patches/any/local-mktemp.diff: Rebased.
     - patches/any/local-nss-overflow.diff: Rebased.
     - patches/any/submitted-bits-fcntl_h-at.diff: Rebased.
     - patches/any/submitted-longdouble.diff: Rebased.
     - patches/arm/local-vfp-sysdeps.diff: Rebased.
     - patches/arm/unsubmitted-ldconfig-cache-abi.diff: Rebased.
     - patches/hppa/submitted-nptl-carlos.diff: Rebased.
     - patches/sparc/local-fork.diff: Rebased.
     - patches/ia64/submitted-fpu-ulps.diff: Rebased.
     - patches/localedata/first_weekday.diff: Rebased.
     - patches/locale/LC_IDENTIFICATION-optional-fields.diff: Rebased.
     - patches/powerpcspe/unsubmitted-nearbyint.diff: Applied upstream.
     - patches/m68k/cvs-sysdep-cfi.diff: Applied upstream.
     - patches/i386/cvs-simd-exception.diff: Applied upstream.
     - patches/any/local-rtld.diff: Applied upstream.
     - patches/any/cvs-tst-array-as-needed.diff: Applied upstream.
     - patches/any/cvs-use-glibc-wchar.diff: Applied upstream.
     - patches/any/submitted-setfsid-wur.diff: Applied upstream.
     - patches/any/cvs-sys-param-h-DEV_BSIZE.diff: Applied upstream.
     - patches/any/cvs-getaddrinfo-stack-overflow.diff: Applied upstream.
     - patches/any/cvs-regexp-overrun.diff: Applied upstream.
     - patches/any/cvs-gethostbyname-numeric.diff: Applied upstream.
     - patches/any/cvs-getaddrinfo-EAI_NONAME.diff: Applied upstream.
     - patches/any/cvs-tst-cancel4-buf.diff: Applied upstream.
     - patches/arm64/cvs-setjmp-clobber.diff: Applied upstream.
     - patches/any/cvs-tst-cancel4-buf.diff: Applied upstream.
     - patches/any/cvs-CVE-2013-4332-pvalloc.diff: Rebased.
     - patches/any/cvs-CVE-2013-4332-valloc.diff: Rebased.
     - patches/any/cvs-CVE-2013-4788-static-ptrguard.diff: Rebased.
     - patches/any/cvs-CVE-2013-4788-static-ptrguard-arm.diff: Rebased.
     - patches/any/cvs-CVE-2013-2207-pt_chown.diff: Applied upstream.
   * debian/patches/any/cvs-tst-tls-atexit-deps.diff: Fix compilation of
     stdlib/tst-tls-atexit with binutils defaulting to ld --as-needed.
   * debian/control: Build-dep on netbase for service lookups in tests.
   * debian/sysdeps/{linux,hurd}.mk: Force on pt_chown on linux and hurd.
   * debian/rules.d/debhelper.mk: Compress $(libc), multiarch-support, and
     libc-bin with gzip, and let the rest default to dpkg's new defaults.
   * debian/debhelper.in/libc-bin.lintian-overrides: The manpages for zic
     zdump, ldd, ldconfig, and getent have moved to the manpages package.
   * debian/debhelper.in/libc.lintian-overrides: Don't whine about ldconfig.
   * debian/testsuite-checking/*: Allow powerpc to fail test-{double,float}.
   * debian/testsuite-checking/expected-results-aarch64-linux-gnu-libc: New.
   * debian/testsuite-checking/expected-results-arm-linux-gnueabi-armel: New.
   * debian/testsuite-checking/expected-results-i686-linux-gnu-libc: New.
   * debian/patches/any/local-rtlddir-cross.diff: Revert to the state found
     in 2.17 where ld.so was installed to slibdir and so listed in libc.so.
   * Skeleton in packaging support for the new powerpc64le-linux-gnu:
     - debian/sysdeps/ppc64el.mk: Define base ppc64el libc targets.
     - debian/rules.d/control.mk: Add ppc64el to the list of libc_arches.
     - debian/control.in/main: Build-depend on gcc-4.8 for ppc64el builds.
   * debian/libc6.symbols.ppc64: Add missing libc6 symbols file for ppc64.
   * debian/libc6.symbols.arm64: Add missing libc6 symbols file for arm64.
   * debian/sysdeps/*: Enable new IFUNC support on armel and armhf builds.
   * debian/patches/arm/cvs-ifunc-hwcap-fix.diff: Fix IFUNC on non-NEON.
   * debian/patches/arm/cvs-arm-pointer-mangling.diff: Add ARM support for
     pointer encryption in glibc internal structures in C and assembler.
   * debian/patches/any/cvs-tst-cleanup2-ret.diff: Fix return regression
     on recent versions of gcc in nptl/tst-cleanup2 and nptl/tst-cleanupx2.
   * debian/patches/any/unsubmitted-tst-tlsmod-as-needed.diff: Fix linking
     tst-tlsmod5.so and tst-tlsmod6.so with an as-needed default toolchain.
   * debian/patches/any/unsubmitted-scanf-includes.diff: Fix includes for
     the scanf15 and scanf17 tests for arches that need misc/bits/syscall.h.
   * debian/patches/any/local-use-glibc-predef.diff: Backport stdc-predef.h
     from glibc instead of eglibc, avoiding bits/predefs.h (closes: #717557)
   * debian/rules.d/quilt.mk: Fix unpatch with only one arch patch applied.
   * debian/patches/arm64/cvs-arm64-sigcontext.diff: arm64 sigcontextinfo.h.
   * debian/patches/arm64/cvs-arm64-relocs.diff: Add arm64 reloc definitions.
   * debian/patches/arm64/cvs-arm64-mcount-profiling.diff: mcount profiling.
   * debian/patches/arm64/cvs-arm64-ifunc.diff: Enable arm64 IFUNC support.
   * debian/{rules,sysdeps/arm64.mk,control}: Enable libc6-prof on aarch64.
   * debian/{control.in/main,rules,sysdeps/*}: Switch to using gcc-4.8 on all
     architectures as gcc-4.6 and gcc-4.7 are going away in the near future.
   * debian/rules: Build for i586 where dpkg-architecture claims i486, which
     matches the default that gcc-4.8 has had on i386 for the last two years.
   * debian/rules: Set configure_build the same as configure_target above, so
     we don't think we're cross-building and skip half the testsuite on i386.
   * debian/patches/i386/local-i586-ulps.diff: Regen ulps for i586, not i686.
   * debian/patches/i386/cvs-tst-cond25.diff: Pull fix for an intermittent
     failure in nptl/tst-cond25 in pthread_cond_timedwait.S on i486 and up.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/libpthread_hurd_cond_timedwait.diff: Rebased.
   * patches/hurd-i386/libpthread_hurd_cond_wait.diff: Rebased.
   * patches/hurd-i386/submitted-add-needed.diff: Rebased.
   * patches/hurd-i386/submitted-exec_filename.diff: Rebased.
   * patches/hurd-i386/tg-EIEIO-fr.diff: Rebased.
   * patches/hurd-i386/tg-elfosabi_gnu.diff: Rebased.
   * patches/hurd-i386/tg-exec-static.diff: Rebased.
   * patches/hurd-i386/tg-hurdsig-fixes.diff: Rebased.
   * patches/hurd-i386/tg-hurdsig-global-dispositions.diff: Rebased.
   * patches/hurd-i386/tg-sendmsg-SCM_RIGHTS.diff: Rebased.
   * patches/hurd-i386/tg-tls-threadvar.diff: Rebased.
   * patches/hurd-i386/tg-tls.diff: Rebased.
   * patches/hurd-i386/unsubmitted-clock_t_centiseconds.diff: Rebased.
   * patches/hurd-i386/submitted-net.diff: Rebased.
   * patches/hurd-i386/local-ulimit.diff: Removed, fixed upstream.
   * patches/hurd-i386/libpthread_hurd_cond_timedwait.diff: Add missing
     version.
   * patches/hurd-i386/libpthread_hurd_cond_wait.diff: Likewise.
   * patches/hurd-i386/unsubmitted-NO_HIDDEN.diff: New patch, fixes undefined
     __GI_memmove/memset reference failures.
   * testsuite-checking/expected-results-i486-gnu-libc,
     expected-results-i686-gnu-i386, expected-results-i686-gnu-i686,
     expected-results-i686-gnu-xen: Update testsuite result.
 .
   [ Petr Salinger ]
   * debian/*: change version occurences from 2.17 to 2.18 for upgrades/deps.
   * kfreebsd/local-sysdeps.diff: update to revision 5214 (from glibc-bsd).
   * kfreebsd/local-fbtl.diff: likewise
   * sysdeps/kfreebsd.mk: pt_chown is mandatory
   * update symbols file for kfreebsd
   * update testsuite-checking/expected-results-*-kfreebsd-gnu-*
   * add kfreebsd/submitted-waitid.diff. Closes: #720188.
   * add kfreebsd/submitted-auxv.diff. Closes: #717912.
   * drop obsolete patches/*/local-linuxthreads*
   * drop obsolete linuxthreads part of kfreebsd/local-scripts.diff
   * drop obsolete kfreebsd/local-dosavesse.diff, local-pthread_at_fork.diff,
     kfreebsd/local-nosavesse.diff, kfreebsd/local-use-thr-primitives.diff,
     and kfreebsd/submitted-libc_once.diff.
   * drop kfreebsd/local-readdir_r.diff, obsoleted by fix for CVE-2013-4237.
 .
   [ Aurelien Jarno ]
   * Drop s390 support.
   * sysdeps/{hurd,kfreebsd,linux}.mk: remove dead code.
   * Remove linuxthreads from the tarball:
     - rules.d/tarball.mk: don't fetech linuxthreads and linuxthreads_db.
     - rules.d/build.mk: don't build linuxthreads manpages.
     - rules: don't run make clean in linuxthreads directory.
     - patches/any/local-sysctl.diff: drop the linuxthreads part.
     - patches/all/local-pthread-manpages.diff: remove.
     - local/manpages/pthread_*.3: import the few remaining linuxthreads
       manpages.
     - debhelper.in/glibc-doc.manpages: update manpage locations.
   * debian/sysdeps/s390.mk: Enable new IFUNC support.
   * debian/rules.d/debhelper.mk: compress locales-all with xz -z7.
   * patches/any/cvs-strcasecmp-locales.diff: new patch from upstream to
     fix mismatch between strcasecmp and toupper/tolower in tr_TR.iso88599
     locale (Closes: #716775).
   * patches/any/cvs-CVE-2013-4458-getaddrinfo.diff: new patch from upstream
     to fix stack (frame) overflow in getaddrinfo() when called with AF_INET6
     / CVE-2013-4458 (Closes: #727181).
   * testsuite-checking/expected-results-s390-linux-gnu-s390,
     testsuite-checking/expected-results-s390x-linux-gnu-libc: cleanup.
   * patches/svn-updates.diff: update with the glibc 2.18 branch to get commits
     which are not yet available in eglibc. Fixes multiarch math functions on
     sparc.
   * testsuite-checking/expected-results-i486*: rename expected result files
     from i486 to i586.
   * testsuite-checking/convertlog.sh: use sort -u to avoid duplicated entries
     in the test results.
   * testsuite-checking/expected-results-mips*: remove duplicated entries,
     cleanup.
   * testsuite-checking/expected-results-arm-linux-gnueabihf-libc: cleanup.
   * testsuite-checking/expected-results-arm-linux-gnueabi-libc: cleanup.
   * testsuite-checking/expected-results-*86-linux-gnu*: cleanup.
   * patches/any/cvs-DL_CALL_DT_INIT_FINI.diff,
     patches/hppa/cvs-hppa-DL_CALL_DT_INIT_FINI.diff,
     patches/ia64/cvs-ia64-DL_CALL_DT_INIT_FINI.diff: new patches from upstream
     to fix a segmentation fault in ld.so on hppa and ia64.
   * testsuite-checking/expected-results-sparc*-linux-gnu-*: cleanup.
   * patches/s390/cvs-s390-tls-got-pointer.diff: new patch from upstream to fix
     the TLS GOT pointer setup on s390.
   * debian/rules.d/build.mk: define the installation in configparms to avoid
     broken glibc makefiles to spuriously trigger install rules trying to
     overwrite system headers.
   * testsuite-checking/expected-results-*-kfreebsd-gnu-*: allow
     check-local-headers.out to fail as the script is linux specific and
     doesn't now about kfreebsd specific headers.
   * debian/rules: don't pass -fstrict-aliasing to HOST_CFLAGS, it is already
     included in -O2.
   * Replace patches/any/submitted-findlocale-div-by-zero.diff by upstream
     version patches/any/cvs-findlocale-div-by-zero.diff.
   * patches/any/cvs-CVE-2013-4332-memalign-2.diff: patch from upstream to
     address some remaining issues from CVE-2013-4332.
   * patches/ia64/local-rtld-compile-options.diff: new patch to workaround
     miscompilation issues.
   * testsuite-checking/expected-results-ia64-linux-gnu-libc: cleanup and
     update.
Checksums-Sha1: 
 b55fb5dab0f7735d463ea07808cf98bbcc2a0b68 5127 eglibc_2.18-0experimental0.dsc
 db3a697def54c8067f0d067b54c1a6ea6dacdb8e 11650472 eglibc_2.18.orig.tar.xz
 3984c79b15e70d2dfdb948e755d8da837bc8ceb3 992016 eglibc_2.18-0experimental0.debian.tar.xz
 e89356b29de27f562aabc846f92bab608eb53733 3944590 libc6_2.18-0experimental0_i386.deb
 f1da5d41622fb732f593e04114dfe67a2b7315f9 3034882 libc6-dev_2.18-0experimental0_i386.deb
 728e5fa4fca16296233c3251a761b789fbb10d18 1209732 libc6-pic_2.18-0experimental0_i386.deb
 242c7c11bb428c43d92a44b84fe70e8fee5a609b 1215500 libc-bin_2.18-0experimental0_i386.deb
 73b629a9c9eed7c4603401dc4db57c79480e2e16 224494 libc-dev-bin_2.18-0experimental0_i386.deb
 180bb82e4385272b3188a7446244f64b71df6e1d 165302 multiarch-support_2.18-0experimental0_i386.deb
 c572fb0acc3fff01dbce8a4a1f96276b628fdfc5 1259694 libc6-prof_2.18-0experimental0_i386.deb
 0e2aca2585a9d166e175a576af540cddb4a8b60f 3169582 locales-all_2.18-0experimental0_i386.deb
 7dd7548ed34f74cc73a84344a373766693352a48 1154300 libc6-i686_2.18-0experimental0_i386.deb
 8b868867ec37500e9eb427acdd8340d9a9f08f6c 1159308 libc6-xen_2.18-0experimental0_i386.deb
 37c196d6f0fec1afbe05db25cb058a1f178cd148 2585290 libc6-amd64_2.18-0experimental0_i386.deb
 44be5a9cee4acdfa4ff213ec97d269c3fa9297ca 1591258 libc6-dev-amd64_2.18-0experimental0_i386.deb
 41cddd60bb8b151766eb7d8f26aa9e08a5e1dd0f 2583642 libc6-x32_2.18-0experimental0_i386.deb
 1c32409930d533ffb326621469eb447a5d2d78c6 1578030 libc6-dev-x32_2.18-0experimental0_i386.deb
 c9c2029d37b37fef86a0616ed43b500d2d9eaa2b 227436 nscd_2.18-0experimental0_i386.deb
 7eabe11e779fda7c84b667405d79ff601b44f852 8114912 libc6-dbg_2.18-0experimental0_i386.deb
 0ef538fdb4c10d41756028a002f09224bfcff946 801848 libc6-udeb_2.18-0experimental0_i386.udeb
 35af7743460be0a2d418675418ef50768fe5ba8f 9496 libnss-dns-udeb_2.18-0experimental0_i386.udeb
 87ceefdf5ca79a37e9973aa7919bc4e3b4cea23b 15418 libnss-files-udeb_2.18-0experimental0_i386.udeb
 8c9e32b0c24464d9681387028cf5ff4233407b22 2220684 glibc-doc_2.18-0experimental0_all.deb
 600e6ee12b871083abcbab6e8ecff89c973a882d 13274140 eglibc-source_2.18-0experimental0_all.deb
 4859a7c17517dae5c4a5af0303b3b287b3136eb4 3890602 locales_2.18-0experimental0_all.deb
 3e1e7c2fee5fff7413c47482ca8dc923eb63225d 4637516 libc6_2.18-0experimental0_amd64.deb
 89cf8404363a1f5dafb68e74afef233e9ad1b7fc 1990940 libc6-dev_2.18-0experimental0_amd64.deb
 50e90b497dc71b225cad9749c7240f2f362ba990 1467550 libc6-pic_2.18-0experimental0_amd64.deb
 82e67d3dccf9c433803b0e8a8d7eb9447cea669c 1275580 libc-bin_2.18-0experimental0_amd64.deb
 77155d2821579a8ef3536fab734eb22fac398d5b 227038 libc-dev-bin_2.18-0experimental0_amd64.deb
 5f5e38ed7f488abb47bc9fbbf744edecee6cf056 165304 multiarch-support_2.18-0experimental0_amd64.deb
 f072b8224c38c38b039fde608a871608739a66ce 1604962 libc6-prof_2.18-0experimental0_amd64.deb
 6fe28dd1b4d636d466515d3ab90150d1855d8925 3170528 locales-all_2.18-0experimental0_amd64.deb
 8ce703a35bf9dac5c88c93675635b8e23a936fa2 2358078 libc6-i386_2.18-0experimental0_amd64.deb
 8ddafa9d0ee16c515516f02e3410f1331325e6a7 1305946 libc6-dev-i386_2.18-0experimental0_amd64.deb
 a3f0f00758c20ad66b454ba2759afbc02289ec7f 2584642 libc6-x32_2.18-0experimental0_amd64.deb
 d0e474ed3753334052f40dd3f299fe4c6d038c27 1577406 libc6-dev-x32_2.18-0experimental0_amd64.deb
 33df38d9c1a8a75ac8979301ff195189a143fd32 229102 nscd_2.18-0experimental0_amd64.deb
 1a0e3f1e2f08546548c1812b9e7b1eac82529903 3425320 libc6-dbg_2.18-0experimental0_amd64.deb
 8b745b9bf51221044403ede855b4132d3e17aa39 1063996 libc6-udeb_2.18-0experimental0_amd64.udeb
 843bb97c81d61d5e62360eb430ec2bf8c46edfc8 10000 libnss-dns-udeb_2.18-0experimental0_amd64.udeb
 dd3793df5e1fd333041c78f058f7560c12159728 16612 libnss-files-udeb_2.18-0experimental0_amd64.udeb
Checksums-Sha256: 
 9f59d262dd14c94d9c1ee28f0a63cbf33cc4dc8f247dcc10097cee5004044cf1 5127 eglibc_2.18-0experimental0.dsc
 935525e270a8da26891c6e85d8af2633e127b83d5b3653ef2f15cf229ebfd765 11650472 eglibc_2.18.orig.tar.xz
 536931fe3901a33c256a9252bfe5eba50af545be9de89eb7b2670a3d7b657244 992016 eglibc_2.18-0experimental0.debian.tar.xz
 daf75576ef84751e436e4f5b9a29aaa868aed4b72554ccf9b595c9603008a87f 3944590 libc6_2.18-0experimental0_i386.deb
 ddc9a86db33be4758486fe463b9d9f530f501ec5cced08107de18beec131ea17 3034882 libc6-dev_2.18-0experimental0_i386.deb
 47ad2aa804200d6541466fc9f1db512fee14636e4caed39fbeb93b30908766f0 1209732 libc6-pic_2.18-0experimental0_i386.deb
 acc2236cac938166662dfa7072b4a1784ae7adffb01ff6e3cf89000580fe9260 1215500 libc-bin_2.18-0experimental0_i386.deb
 9637853b0f3060d49df640e025e8d02df18d78143dbea0f8ee1906ec096765dc 224494 libc-dev-bin_2.18-0experimental0_i386.deb
 9c435cd8ac68722ff78060b47acd0681e1014ee07073dea23e1f8b915806a630 165302 multiarch-support_2.18-0experimental0_i386.deb
 92a10cbc076fac8e6a6ac99cffb298fc4791fa3bcd669a495879ea1e837b2426 1259694 libc6-prof_2.18-0experimental0_i386.deb
 3d55c64dc1fafc6fbdba4d816422b5855f84bc350338778d39c0260989a873be 3169582 locales-all_2.18-0experimental0_i386.deb
 0ff5a516d69af2caf9dde1959cfded899a8bf68a84659ec9be7d326907aeb599 1154300 libc6-i686_2.18-0experimental0_i386.deb
 edc3f2160284351d6f99996bef51eaca40f96455e206af04898c92fe6b042863 1159308 libc6-xen_2.18-0experimental0_i386.deb
 049589cedc1a39f92b7fc0e5bdd1c577fa584f66e297e6074706ccb85c3b84a6 2585290 libc6-amd64_2.18-0experimental0_i386.deb
 789b7b98b960f6beb3d2c02c5cb9c220f6944ff0bdda6085a33fa2d6e18f5817 1591258 libc6-dev-amd64_2.18-0experimental0_i386.deb
 65ed79f4bbd56279d5b1820f19ac45cfb0c339e4011c05e1635af2c6121f107d 2583642 libc6-x32_2.18-0experimental0_i386.deb
 60da9544090e6d960b4c7349054cfb2cf89d04bf687ac7f42b119eaef10d6d59 1578030 libc6-dev-x32_2.18-0experimental0_i386.deb
 d83ffc116bc224450a548e6002de5a0a1fa4a39017ddddef8f767e936e7c4324 227436 nscd_2.18-0experimental0_i386.deb
 09729b30a48993274274fe07381520665aa449aa98d94a2f3a8e238d438deea3 8114912 libc6-dbg_2.18-0experimental0_i386.deb
 44805092ea6ffe6932c7fb0879ae5446c056d8a7beea42f3ef33792602737da8 801848 libc6-udeb_2.18-0experimental0_i386.udeb
 174efa9f7a587b158290d0b40c8edfd8231ba0ff8e92222c8cd70a1a8a6e9fe9 9496 libnss-dns-udeb_2.18-0experimental0_i386.udeb
 ceba523c19ce8389e356bbba0009cb30a9c1bd982be708f67440a79e742b2949 15418 libnss-files-udeb_2.18-0experimental0_i386.udeb
 078bd06466a8e9486eedb0065ba32e243d2eaaa79a5c644c49e5441d61030fa0 2220684 glibc-doc_2.18-0experimental0_all.deb
 2f6476e78aff056b3dd793fd8e94a7a041fd23a1b53efd1668c8e8eda47e84f3 13274140 eglibc-source_2.18-0experimental0_all.deb
 df66ff2cb306ba8cf9e0b6587dc39257ef9063f89566c37ff7c57561db03eb90 3890602 locales_2.18-0experimental0_all.deb
 a341aa97e25da80b1e592f3c5f466084f42d009ae7fd85def33db373d59fd8b3 4637516 libc6_2.18-0experimental0_amd64.deb
 335b559455b2bec2ea0dcc24df951cdea1cdf6793ef46c261a6279783fd6f668 1990940 libc6-dev_2.18-0experimental0_amd64.deb
 7eff57afedea5d66a4ccec9a2960486f56d27304d794b1824e4dd45701376c82 1467550 libc6-pic_2.18-0experimental0_amd64.deb
 6a712ecec3106117d1d55eafe2e99c0c9085deaaaa5afd526e5985af390c49f4 1275580 libc-bin_2.18-0experimental0_amd64.deb
 d0738af16bd77afe3691fa013b429e1c12a776da729c72ff7bfb8bbfe78725bf 227038 libc-dev-bin_2.18-0experimental0_amd64.deb
 3bc2448713581a5f6e9aed7f7d890f4d59c96a8520791c2ed3f18ae587afe42f 165304 multiarch-support_2.18-0experimental0_amd64.deb
 d8a3d4a83a86b4f5b02ea68992fa9cb1631e28f4ec1ce1436d609c7649588af7 1604962 libc6-prof_2.18-0experimental0_amd64.deb
 2920fa919a7b00342a6b0c17ba6e36eefae349e32e0bc20c1e1041582b0cd28a 3170528 locales-all_2.18-0experimental0_amd64.deb
 d0e9508e15c154cbf2e45a30ec8d39c1c7a43949650a6b99d30d73fdfc02fbf2 2358078 libc6-i386_2.18-0experimental0_amd64.deb
 adefb96f77002cdf2d07b16bff531af8b14cefc5757888f347b312a18186743e 1305946 libc6-dev-i386_2.18-0experimental0_amd64.deb
 9cfd065bad2a862c42f1c5ad5cf6f8058a6ad82784362ddd8d5ae8e6373f7354 2584642 libc6-x32_2.18-0experimental0_amd64.deb
 700acfae40eab33c64df1190344fc2cde846210aba701f57c1492f5b02bb47ba 1577406 libc6-dev-x32_2.18-0experimental0_amd64.deb
 8e1f41f7a4bf03ddf34c44d5cb6bb72719ca34670293cd1ad0cb7242ce8e2fd8 229102 nscd_2.18-0experimental0_amd64.deb
 0a6c41cb76b6d6d0dde3fa803e3eaf8ad9b84697b80a29b51100be04dd360925 3425320 libc6-dbg_2.18-0experimental0_amd64.deb
 ab1ef4bfca761770f5834cfe7bc02a9ba4a0983b7371f0890d400b5304cf8eb3 1063996 libc6-udeb_2.18-0experimental0_amd64.udeb
 938367f204361a912863dfd05d4a93466d7f8ceb2bff17aa7bf67506955d90ae 10000 libnss-dns-udeb_2.18-0experimental0_amd64.udeb
 823933c08a31fbb63bf738f57aa8b175661b6417af98d4893d8ab4288c61eddf 16612 libnss-files-udeb_2.18-0experimental0_amd64.udeb
Files: 
 0b72d565a741d637181b8905b66addfa 5127 libs required eglibc_2.18-0experimental0.dsc
 2bc1ff7e473a119dc4624f7ed7ad1694 11650472 libs required eglibc_2.18.orig.tar.xz
 d819fb13c4a0f5f55e552b1d07c94a27 992016 libs required eglibc_2.18-0experimental0.debian.tar.xz
 5d34effe98c772ab4f371243415fa47c 3944590 libs required libc6_2.18-0experimental0_i386.deb
 c8e54c438c4d17b9aee137e2fa3ee805 3034882 libdevel optional libc6-dev_2.18-0experimental0_i386.deb
 778c9a1c095814424e9ae7e24413722a 1209732 libdevel optional libc6-pic_2.18-0experimental0_i386.deb
 72353659c61c0ad5216ff0ee0e91ae81 1215500 libs required libc-bin_2.18-0experimental0_i386.deb
 f4adcbfe812f41549ca46cb15041b9fb 224494 libdevel optional libc-dev-bin_2.18-0experimental0_i386.deb
 01ce85426eb21eb8bfbfd12ccb58aad7 165302 libs required multiarch-support_2.18-0experimental0_i386.deb
 856bc23e37bc9c9fe8aaba680c605644 1259694 libdevel extra libc6-prof_2.18-0experimental0_i386.deb
 26867cda785c2993d34347539987b48b 3169582 localization extra locales-all_2.18-0experimental0_i386.deb
 fa7bdf983bccbe90f7a49f69b295ee22 1154300 libs extra libc6-i686_2.18-0experimental0_i386.deb
 d533d35ea1a43a487392785dcd76e5d7 1159308 libs extra libc6-xen_2.18-0experimental0_i386.deb
 e119bb650976b54cc3b86743fe4aa4df 2585290 libs optional libc6-amd64_2.18-0experimental0_i386.deb
 8c17fd8d5f517d65ead2570f3c486d40 1591258 libdevel optional libc6-dev-amd64_2.18-0experimental0_i386.deb
 60c19e25236f92ba33dacf7befe635f7 2583642 libs optional libc6-x32_2.18-0experimental0_i386.deb
 7f129b48a59e6896d0ce5f4d7f9eb901 1578030 libdevel optional libc6-dev-x32_2.18-0experimental0_i386.deb
 288e93026999b9202a9fdc6229a1fe29 227436 admin optional nscd_2.18-0experimental0_i386.deb
 57fafe93e157bca6c08adecab133b77b 8114912 debug extra libc6-dbg_2.18-0experimental0_i386.deb
 abe9bd51066693ff2f3252cf7083bbbd 801848 debian-installer extra libc6-udeb_2.18-0experimental0_i386.udeb
 a8094f227a500061082bd1c852d09ad4 9496 debian-installer extra libnss-dns-udeb_2.18-0experimental0_i386.udeb
 875a4b40db1b626e4c52407295167046 15418 debian-installer extra libnss-files-udeb_2.18-0experimental0_i386.udeb
 d0c4881c6a5246188802e7ae5d51cfcc 2220684 doc optional glibc-doc_2.18-0experimental0_all.deb
 f5d01980a79687618e366a9bf962cd08 13274140 devel optional eglibc-source_2.18-0experimental0_all.deb
 29c8f5e7d354272fe8478d67c1ca77af 3890602 localization standard locales_2.18-0experimental0_all.deb
 b027d18f0d7247ee37c4261ff24fc570 4637516 libs required libc6_2.18-0experimental0_amd64.deb
 473e1f2bcaf86b2a00e5884b2e9d57de 1990940 libdevel optional libc6-dev_2.18-0experimental0_amd64.deb
 ca12762c42b5394e14e4c5693db10315 1467550 libdevel optional libc6-pic_2.18-0experimental0_amd64.deb
 a7d4ea79d5ffa039ed82d464c5522269 1275580 libs required libc-bin_2.18-0experimental0_amd64.deb
 c3b7126c7b36af6b4ee6fc20f214af43 227038 libdevel optional libc-dev-bin_2.18-0experimental0_amd64.deb
 250488501d5644719ed120b479e63155 165304 libs required multiarch-support_2.18-0experimental0_amd64.deb
 02a6843aa6259dea74c743db80e62867 1604962 libdevel extra libc6-prof_2.18-0experimental0_amd64.deb
 d2bfc467849c044a3d45d11851482bb7 3170528 localization extra locales-all_2.18-0experimental0_amd64.deb
 081159c5bdf62aae05a63063e434fe48 2358078 libs optional libc6-i386_2.18-0experimental0_amd64.deb
 a390a36f0d157840d29d02e6a211658e 1305946 libdevel optional libc6-dev-i386_2.18-0experimental0_amd64.deb
 14ab0e927811086b97689d3013e9d39e 2584642 libs optional libc6-x32_2.18-0experimental0_amd64.deb
 f0fb8fc17cf3bc8c3e2530db8a6b95e4 1577406 libdevel optional libc6-dev-x32_2.18-0experimental0_amd64.deb
 c1b139db2a0cb27c28f15b6633ff0377 229102 admin optional nscd_2.18-0experimental0_amd64.deb
 bc821336f044e2d44e0cdeec6b66b279 3425320 debug extra libc6-dbg_2.18-0experimental0_amd64.deb
 41acdbe77ce017989dc16e021da86461 1063996 debian-installer extra libc6-udeb_2.18-0experimental0_amd64.udeb
 ddbc9b52b0b22906ad84c290618160ed 10000 debian-installer extra libnss-dns-udeb_2.18-0experimental0_amd64.udeb
 f25e04cd57d375ac2ece10fa9db482d4 16612 debian-installer extra libnss-files-udeb_2.18-0experimental0_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlKm2CYACgkQvjztR8bOoMmuXACfdCUD5j9Qj18F0JlUIgdxSEuf
Rt4AoNUj7V/vxEmj4SAmI4zFfDk5ZfIV
=7bzU
-----END PGP SIGNATURE-----




Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. (Fri, 21 Feb 2014 06:39:22 GMT) Full text and rfc822 format available.

Notification sent to Dmitrijs Ledkovs <xnox@debian.org>:
Bug acknowledged by developer. (Fri, 21 Feb 2014 06:39:22 GMT) Full text and rfc822 format available.

Message #42 received at 720188-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 720188-close@bugs.debian.org
Subject: Bug#720188: fixed in eglibc 2.18-1
Date: Fri, 21 Feb 2014 06:35:46 +0000
Source: eglibc
Source-Version: 2.18-1

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720188@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 20 Feb 2014 19:38:49 -0700
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc libc6-dev-sparc libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc6-armhf libc6-dev-armhf libc6-armel libc6-dev-armel libc0.1-i386 libc0.1-dev-i386 libc6-x32 libc6-dev-x32 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: all amd64 i386 powerpc source
Version: 2.18-1
Distribution: unstable
Urgency: medium
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Adam Conrad <adconrad@0c3.net>
Closes: 716775 717557 717912 720188 727181 732993 734607 735774
Launchpad-Bugs-Fixed: 1268937
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-armel - Embedded GNU C Library: ARM softfp shared libraries for armhf
 libc6-armhf - Embedded GNU C Library: ARM hard float shared libraries for armel
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-armel - Embedded GNU C Library: ARM softfp development libraries for armh
 libc6-dev-armhf - Embedded GNU C Library: ARM hard float development libraries for
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-dev-sparc - Embedded GNU C Library: 32bit Development Libraries for SPARC
 libc6-dev-x32 - Embedded GNU C Library: X32 ABI Development Libraries for AMD64
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparc - Embedded GNU C Library: 32bit Shared libraries for SPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-x32  - Embedded GNU C Library: X32 ABI Shared libraries for AMD64
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales-all - Embedded GNU C Library: Precompiled locale data
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Changes: 
 eglibc (2.18-1) unstable; urgency=medium
 .
   [ Adam ConradĀ ]
   * debian/patches/hurd-i386/libpthread_version.diff: Remove stderr vomit.
   * debian/patches/arm/cvs-arm__{longjmp,sigsetjmp}-thumb.diff: Pull patch
     from upstream to allow building longjmp and sigsetjmp code with Thumb.
   * debian/patches/arm/cvs-arm-pointer-mangle-frame.diff: Upstream diff to
     no longer apply pointer encryption to the frame pointer (LP: #1268937)
   * debian/patches/powerpc/cvs-gettimeofday-32.diff: Replace the submitted
     version of this patch with the upstream commit, which also fixes time.
   * debian/debhelper.in/libc.postinst: Track samba to smbd service rename.
 .
   [ Aurelien Jarno ]
   * debian/testsuite-checking/expected-results-mips*: Update following
     the prlimit64 fix deployment on the build daemons.
   * patches/alpha/cvs-tls-macros.diff: New patch from upstream to fix
     FTBFS on alpha. Closes: #735774.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/cvs-libpthread.diff: New snapshot, brings thread
     destruction fixes and name resolution fix.
   * patches/hurd-i386/libpthread_build.diff: Refresh.
   * patches/hurd-i386/libpthread_fix.diff: Remove, fixed upstream.
   * patches/hurd-i386/libpthread_globsigdisp.diff: Remove, merged upstream.
   * patches/hurd-i386/tg-tls_thread_leak.diff: Re-enable, now working.
   * control.d/libc: Upgrade hurd Breaks to version which include the fix again
     gcc-4.8-built libc.
 .
 eglibc (2.18-0experimental1) experimental; urgency=low
 .
   [ Adam ConradĀ ]
   * debian/patches/i386/cvs-nonascii-case-strcmp.diff: Pull upstream patch
     to fix LC_CTYPE nonascii-case fallback in i686 strcasecmp/strncasecmp.
   * debian/testsuite-checking/*: Update 686 targets to match the 586 ones.
   * Generate expected-results-powerpc64le-linux-gnu-libc for ppc64el port.
   * debian/testsuite-checking/*: Normalize expected results for ARM ports.
   * debian/patches/i386/cvs-sse42-strstr*: Backport upstream commits which
     drop buggy SSE4.2 srtstr implementations in favour of an SSE2 version.
   * debian/patches/any/cvs-ptrace_peeksiginfo_args.diff: Prepend __ prefix
     to ptrace_peeksiginfo_args struct to prevent namespace clash w/ linux.
   * debian/patches/powerpc/cvs-ppc64-vdso-ifunc.diff: Pull upstream fix to
     squash undefined behaviour in PowerPC64 vDSO IFUNC symbol resolutions.
   * debian/patches/powerpc/submitted-gettimeofday-vdso.diff: New diff from
     Adhemerval Zanella at IBM to fix gettimeofday vDSO/IFUNC interactions.
   * debian/patches/powerpc/submitted-gettimeofday-32.diff: Pull patch from
     Adhemerval Zanella at IBM to fix 32-bit gettimeofday VSYSCALL lookups.
   * debian/rules.d/build.mk, debian/sysdeps/{hurd,linux,kfreebsd}.mk: Make
     pt_chown keyed off a new variable that we can use to enable or disable
     it per kernel type rather than just the primary libc (Closes: #734607)
   * debian/patches/kfreebsd/submitted-waitid.diff: On Linux, we must undef
     waitflags before we define them or we'll conflict with kernel headers.
 .
   [ Aurelien Jarno ]
   * debian/patches/any/cvs-vfscanf-0e+0.diff: new patch from upstream to
     fix parsing of 0e+0.  Closes: #732993.
   * debian/patches/mips/submitted-wordsize-clang.diff: drop now that clang
     correctly defines_MIPS_SZPTR.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/tg-nfds-poll.diff: New patch to fix poll call with big
     array.
   * patches/hurd-i386/tg-sigstate_locking.diff: New patch to fix sigstate
     creation.
   * patches/hurd-i386/tg-sigstate_thread_reference.diff: New patch to fix
     sigstate thread reference counting.
   * patches/hurd-i386/{libpthreadlibpthread_stubs,libpthread_hurd_cond_wait,
     submitted-libpthread-elf,cvs-libpthread_lock,libpthread_cancellation,
     libpthread_hurd_cond_timedwait,libpthread_ctypes,cvs-pthread_atfork,
     cvs-tls-threadvar-threadself,cvs-libpthread-tls,
     cvs-libpthread-userstack}.diff: Remove, replaced by...
   * patches/hurd-i386/cvs-libpthread.diff: ... this git snapshot, and...
   * patches/hurd-i386/libpthread_build.diff: ... these build fixes.
   * patches/hurd-i386/tg-aio_misc.diff: New patch to fix aio build.
   * control.d/main: Build-depend on newer gnumach-dev to get
     thread_terminate_release RPC.
   * libc0.3.symbols.hurd-i386: Add thread_terminate_release.
 .
 eglibc (2.18-0experimental0) experimental; urgency=low
 .
   [ Adam Conrad ]
   * New upstream release: version 2.18, orig tarball built at SVN r24653:
     - patches/alpha/local-string-functions.diff: Rebased.
     - patches/alpha/submitted-PTR_MANGLE.diff: Rebased.
     - patches/any/local-allocalim-header.diff: Rebased.
     - patches/any/local-disable-test-tgmath2.diff: Rebased.
     - patches/any/local-dlfptr.diff: Rebased.
     - patches/any/local-ld-multiarch.diff: Rebased.
     - patches/any/local-ldso-disable-hwcap.diff: Rebased.
     - patches/any/local-mktemp.diff: Rebased.
     - patches/any/local-nss-overflow.diff: Rebased.
     - patches/any/submitted-bits-fcntl_h-at.diff: Rebased.
     - patches/any/submitted-longdouble.diff: Rebased.
     - patches/arm/local-vfp-sysdeps.diff: Rebased.
     - patches/arm/unsubmitted-ldconfig-cache-abi.diff: Rebased.
     - patches/hppa/submitted-nptl-carlos.diff: Rebased.
     - patches/sparc/local-fork.diff: Rebased.
     - patches/ia64/submitted-fpu-ulps.diff: Rebased.
     - patches/localedata/first_weekday.diff: Rebased.
     - patches/locale/LC_IDENTIFICATION-optional-fields.diff: Rebased.
     - patches/powerpcspe/unsubmitted-nearbyint.diff: Applied upstream.
     - patches/m68k/cvs-sysdep-cfi.diff: Applied upstream.
     - patches/i386/cvs-simd-exception.diff: Applied upstream.
     - patches/any/local-rtld.diff: Applied upstream.
     - patches/any/cvs-tst-array-as-needed.diff: Applied upstream.
     - patches/any/cvs-use-glibc-wchar.diff: Applied upstream.
     - patches/any/submitted-setfsid-wur.diff: Applied upstream.
     - patches/any/cvs-sys-param-h-DEV_BSIZE.diff: Applied upstream.
     - patches/any/cvs-getaddrinfo-stack-overflow.diff: Applied upstream.
     - patches/any/cvs-regexp-overrun.diff: Applied upstream.
     - patches/any/cvs-gethostbyname-numeric.diff: Applied upstream.
     - patches/any/cvs-getaddrinfo-EAI_NONAME.diff: Applied upstream.
     - patches/any/cvs-tst-cancel4-buf.diff: Applied upstream.
     - patches/arm64/cvs-setjmp-clobber.diff: Applied upstream.
     - patches/any/cvs-tst-cancel4-buf.diff: Applied upstream.
     - patches/any/cvs-CVE-2013-4332-pvalloc.diff: Rebased.
     - patches/any/cvs-CVE-2013-4332-valloc.diff: Rebased.
     - patches/any/cvs-CVE-2013-4788-static-ptrguard.diff: Rebased.
     - patches/any/cvs-CVE-2013-4788-static-ptrguard-arm.diff: Rebased.
     - patches/any/cvs-CVE-2013-2207-pt_chown.diff: Applied upstream.
   * debian/patches/any/cvs-tst-tls-atexit-deps.diff: Fix compilation of
     stdlib/tst-tls-atexit with binutils defaulting to ld --as-needed.
   * debian/control: Build-dep on netbase for service lookups in tests.
   * debian/sysdeps/{linux,hurd}.mk: Force on pt_chown on linux and hurd.
   * debian/rules.d/debhelper.mk: Compress $(libc), multiarch-support, and
     libc-bin with gzip, and let the rest default to dpkg's new defaults.
   * debian/debhelper.in/libc-bin.lintian-overrides: The manpages for zic
     zdump, ldd, ldconfig, and getent have moved to the manpages package.
   * debian/debhelper.in/libc.lintian-overrides: Don't whine about ldconfig.
   * debian/testsuite-checking/*: Allow powerpc to fail test-{double,float}.
   * debian/testsuite-checking/expected-results-aarch64-linux-gnu-libc: New.
   * debian/testsuite-checking/expected-results-arm-linux-gnueabi-armel: New.
   * debian/testsuite-checking/expected-results-i686-linux-gnu-libc: New.
   * debian/patches/any/local-rtlddir-cross.diff: Revert to the state found
     in 2.17 where ld.so was installed to slibdir and so listed in libc.so.
   * Skeleton in packaging support for the new powerpc64le-linux-gnu:
     - debian/sysdeps/ppc64el.mk: Define base ppc64el libc targets.
     - debian/rules.d/control.mk: Add ppc64el to the list of libc_arches.
     - debian/control.in/main: Build-depend on gcc-4.8 for ppc64el builds.
   * debian/libc6.symbols.ppc64: Add missing libc6 symbols file for ppc64.
   * debian/libc6.symbols.arm64: Add missing libc6 symbols file for arm64.
   * debian/sysdeps/*: Enable new IFUNC support on armel and armhf builds.
   * debian/patches/arm/cvs-ifunc-hwcap-fix.diff: Fix IFUNC on non-NEON.
   * debian/patches/arm/cvs-arm-pointer-mangling.diff: Add ARM support for
     pointer encryption in glibc internal structures in C and assembler.
   * debian/patches/any/cvs-tst-cleanup2-ret.diff: Fix return regression
     on recent versions of gcc in nptl/tst-cleanup2 and nptl/tst-cleanupx2.
   * debian/patches/any/unsubmitted-tst-tlsmod-as-needed.diff: Fix linking
     tst-tlsmod5.so and tst-tlsmod6.so with an as-needed default toolchain.
   * debian/patches/any/unsubmitted-scanf-includes.diff: Fix includes for
     the scanf15 and scanf17 tests for arches that need misc/bits/syscall.h.
   * debian/patches/any/local-use-glibc-predef.diff: Backport stdc-predef.h
     from glibc instead of eglibc, avoiding bits/predefs.h (closes: #717557)
   * debian/rules.d/quilt.mk: Fix unpatch with only one arch patch applied.
   * debian/patches/arm64/cvs-arm64-sigcontext.diff: arm64 sigcontextinfo.h.
   * debian/patches/arm64/cvs-arm64-relocs.diff: Add arm64 reloc definitions.
   * debian/patches/arm64/cvs-arm64-mcount-profiling.diff: mcount profiling.
   * debian/patches/arm64/cvs-arm64-ifunc.diff: Enable arm64 IFUNC support.
   * debian/{rules,sysdeps/arm64.mk,control}: Enable libc6-prof on aarch64.
   * debian/{control.in/main,rules,sysdeps/*}: Switch to using gcc-4.8 on all
     architectures as gcc-4.6 and gcc-4.7 are going away in the near future.
   * debian/rules: Build for i586 where dpkg-architecture claims i486, which
     matches the default that gcc-4.8 has had on i386 for the last two years.
   * debian/rules: Set configure_build the same as configure_target above, so
     we don't think we're cross-building and skip half the testsuite on i386.
   * debian/patches/i386/local-i586-ulps.diff: Regen ulps for i586, not i686.
   * debian/patches/i386/cvs-tst-cond25.diff: Pull fix for an intermittent
     failure in nptl/tst-cond25 in pthread_cond_timedwait.S on i486 and up.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/libpthread_hurd_cond_timedwait.diff: Rebased.
   * patches/hurd-i386/libpthread_hurd_cond_wait.diff: Rebased.
   * patches/hurd-i386/submitted-add-needed.diff: Rebased.
   * patches/hurd-i386/submitted-exec_filename.diff: Rebased.
   * patches/hurd-i386/tg-EIEIO-fr.diff: Rebased.
   * patches/hurd-i386/tg-elfosabi_gnu.diff: Rebased.
   * patches/hurd-i386/tg-exec-static.diff: Rebased.
   * patches/hurd-i386/tg-hurdsig-fixes.diff: Rebased.
   * patches/hurd-i386/tg-hurdsig-global-dispositions.diff: Rebased.
   * patches/hurd-i386/tg-sendmsg-SCM_RIGHTS.diff: Rebased.
   * patches/hurd-i386/tg-tls-threadvar.diff: Rebased.
   * patches/hurd-i386/tg-tls.diff: Rebased.
   * patches/hurd-i386/unsubmitted-clock_t_centiseconds.diff: Rebased.
   * patches/hurd-i386/submitted-net.diff: Rebased.
   * patches/hurd-i386/local-ulimit.diff: Removed, fixed upstream.
   * patches/hurd-i386/libpthread_hurd_cond_timedwait.diff: Add missing
     version.
   * patches/hurd-i386/libpthread_hurd_cond_wait.diff: Likewise.
   * patches/hurd-i386/unsubmitted-NO_HIDDEN.diff: New patch, fixes undefined
     __GI_memmove/memset reference failures.
   * testsuite-checking/expected-results-i486-gnu-libc,
     expected-results-i686-gnu-i386, expected-results-i686-gnu-i686,
     expected-results-i686-gnu-xen: Update testsuite result.
 .
   [ Petr Salinger ]
   * debian/*: change version occurences from 2.17 to 2.18 for upgrades/deps.
   * kfreebsd/local-sysdeps.diff: update to revision 5214 (from glibc-bsd).
   * kfreebsd/local-fbtl.diff: likewise
   * sysdeps/kfreebsd.mk: pt_chown is mandatory
   * update symbols file for kfreebsd
   * update testsuite-checking/expected-results-*-kfreebsd-gnu-*
   * add kfreebsd/submitted-waitid.diff. Closes: #720188.
   * add kfreebsd/submitted-auxv.diff. Closes: #717912.
   * drop obsolete patches/*/local-linuxthreads*
   * drop obsolete linuxthreads part of kfreebsd/local-scripts.diff
   * drop obsolete kfreebsd/local-dosavesse.diff, local-pthread_at_fork.diff,
     kfreebsd/local-nosavesse.diff, kfreebsd/local-use-thr-primitives.diff,
     and kfreebsd/submitted-libc_once.diff.
   * drop kfreebsd/local-readdir_r.diff, obsoleted by fix for CVE-2013-4237.
 .
   [ Aurelien Jarno ]
   * Drop s390 support.
   * sysdeps/{hurd,kfreebsd,linux}.mk: remove dead code.
   * Remove linuxthreads from the tarball:
     - rules.d/tarball.mk: don't fetech linuxthreads and linuxthreads_db.
     - rules.d/build.mk: don't build linuxthreads manpages.
     - rules: don't run make clean in linuxthreads directory.
     - patches/any/local-sysctl.diff: drop the linuxthreads part.
     - patches/all/local-pthread-manpages.diff: remove.
     - local/manpages/pthread_*.3: import the few remaining linuxthreads
       manpages.
     - debhelper.in/glibc-doc.manpages: update manpage locations.
   * debian/sysdeps/s390.mk: Enable new IFUNC support.
   * debian/rules.d/debhelper.mk: compress locales-all with xz -z7.
   * patches/any/cvs-strcasecmp-locales.diff: new patch from upstream to
     fix mismatch between strcasecmp and toupper/tolower in tr_TR.iso88599
     locale (Closes: #716775).
   * patches/any/cvs-CVE-2013-4458-getaddrinfo.diff: new patch from upstream
     to fix stack (frame) overflow in getaddrinfo() when called with AF_INET6
     / CVE-2013-4458 (Closes: #727181).
   * testsuite-checking/expected-results-s390-linux-gnu-s390,
     testsuite-checking/expected-results-s390x-linux-gnu-libc: cleanup.
   * patches/svn-updates.diff: update with the glibc 2.18 branch to get commits
     which are not yet available in eglibc. Fixes multiarch math functions on
     sparc.
   * testsuite-checking/expected-results-i486*: rename expected result files
     from i486 to i586.
   * testsuite-checking/convertlog.sh: use sort -u to avoid duplicated entries
     in the test results.
   * testsuite-checking/expected-results-mips*: remove duplicated entries,
     cleanup.
   * testsuite-checking/expected-results-arm-linux-gnueabihf-libc: cleanup.
   * testsuite-checking/expected-results-arm-linux-gnueabi-libc: cleanup.
   * testsuite-checking/expected-results-*86-linux-gnu*: cleanup.
   * patches/any/cvs-DL_CALL_DT_INIT_FINI.diff,
     patches/hppa/cvs-hppa-DL_CALL_DT_INIT_FINI.diff,
     patches/ia64/cvs-ia64-DL_CALL_DT_INIT_FINI.diff: new patches from upstream
     to fix a segmentation fault in ld.so on hppa and ia64.
   * testsuite-checking/expected-results-sparc*-linux-gnu-*: cleanup.
   * patches/s390/cvs-s390-tls-got-pointer.diff: new patch from upstream to fix
     the TLS GOT pointer setup on s390.
   * debian/rules.d/build.mk: define the installation in configparms to avoid
     broken glibc makefiles to spuriously trigger install rules trying to
     overwrite system headers.
   * testsuite-checking/expected-results-*-kfreebsd-gnu-*: allow
     check-local-headers.out to fail as the script is linux specific and
     doesn't now about kfreebsd specific headers.
   * debian/rules: don't pass -fstrict-aliasing to HOST_CFLAGS, it is already
     included in -O2.
   * Replace patches/any/submitted-findlocale-div-by-zero.diff by upstream
     version patches/any/cvs-findlocale-div-by-zero.diff.
   * patches/any/cvs-CVE-2013-4332-memalign-2.diff: patch from upstream to
     address some remaining issues from CVE-2013-4332.
   * patches/ia64/local-rtld-compile-options.diff: new patch to workaround
     miscompilation issues.
   * testsuite-checking/expected-results-ia64-linux-gnu-libc: cleanup and
     update.
 .
 eglibc (2.17-98) UNRELEASED; urgency=low
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/tg-ifaddrs_v6.diff: Add missing initialization of sa_len
     fields.
   * patches/hurd-i386/tg-futimens.diff: New patch to add futimens support for
     apt 0.9.15.1.
Checksums-Sha1: 
 2ebdc5d9e754da5b739bb471c0bc580e2e66f596 5040 eglibc_2.18-1.dsc
 b6d14c761b69adb1cde3fe7dd647864b3b07390c 986052 eglibc_2.18-1.debian.tar.xz
 444ab4a78d4417c738e4735ce5a5e2392fc2de47 4523414 libc6_2.18-1_powerpc.deb
 82d3df94b9b8a71c3a654db8a9111e2207a1e45b 1922248 libc6-dev_2.18-1_powerpc.deb
 1087a2676774fa8f8a74b089ae350e28152afe92 1372776 libc6-pic_2.18-1_powerpc.deb
 31595aae5ab2ed9ffa4bba33ae917b605a410f1a 1414582 libc-bin_2.18-1_powerpc.deb
 941bf4955aa264394094a2d29b3932c66dbb5afa 224736 libc-dev-bin_2.18-1_powerpc.deb
 9807e8cd031baf2cf52c30d60a5e2c3b1a8591ee 166684 multiarch-support_2.18-1_powerpc.deb
 9be8b81f1a688c961b6eee1da866cb24e403faf5 1542038 libc6-prof_2.18-1_powerpc.deb
 ec81efc9536424949cc7268a20dec9005c043cf2 3538684 locales-all_2.18-1_powerpc.deb
 e5dacd2dcf122436062105c753a0196471ed7b1d 2441044 libc6-ppc64_2.18-1_powerpc.deb
 4ff543026f7abcec1b0a230a4bbe038185285994 1575600 libc6-dev-ppc64_2.18-1_powerpc.deb
 e9101cacc0deb3967f76ad72732831e675dcf149 224648 nscd_2.18-1_powerpc.deb
 e2ee38d66fe02f857f4fe326246ef08afcafa802 3513764 libc6-dbg_2.18-1_powerpc.deb
 60366daf83f05450c1a394ad74f3f32895b190e5 946566 libc6-udeb_2.18-1_powerpc.udeb
 ca38791b74c827b42c40aa0dab59198237930c2e 9502 libnss-dns-udeb_2.18-1_powerpc.udeb
 88899651f5dacf04674e7dce604a127346650489 14178 libnss-files-udeb_2.18-1_powerpc.udeb
 e018845fd395e230dacc1accd5e30ea11c53db9a 2222116 glibc-doc_2.18-1_all.deb
 4578fff6c4c5f94b876ed18252cb888b6fb9f0a2 13232804 eglibc-source_2.18-1_all.deb
 72cc0252d221641689f5ce6351507f91a4555ac3 3894996 locales_2.18-1_all.deb
 fcd035e72e3db9c8efbbdd8dacb569d733c5468b 3955712 libc6_2.18-1_i386.deb
 928e8b91e11457f0655857cc2faf236a48d6e015 3033056 libc6-dev_2.18-1_i386.deb
 80c978a822196b5e5ebf67421914d749fac829b1 1211360 libc6-pic_2.18-1_i386.deb
 9686f827b84bf82f54c191812bbb5bf638982a9c 1217132 libc-bin_2.18-1_i386.deb
 4aa7ec9060b472e4b43fe1e0820831782744a7ad 225806 libc-dev-bin_2.18-1_i386.deb
 d74ee868ceef29683e9eb20a5f516b513a0e7b3c 166682 multiarch-support_2.18-1_i386.deb
 566e1ba0a05802893e68dcbc6a8f77634e09b7b3 1260918 libc6-prof_2.18-1_i386.deb
 5753d5366a417eb5fa46d51c4983e7b228328616 3180680 locales-all_2.18-1_i386.deb
 48787c3650ba2f0d464fa4908229b9061164bbb3 1154718 libc6-i686_2.18-1_i386.deb
 af026232c8f8d7317a378487abf89eb7070b86f2 1158568 libc6-xen_2.18-1_i386.deb
 043bf267e48d3d1eae2fa170cc53afb8efa4e06c 2582210 libc6-amd64_2.18-1_i386.deb
 3a96f3ff85ee4824362bee1fac79afa3f350da77 1591446 libc6-dev-amd64_2.18-1_i386.deb
 9700e5fda85d47fdf1ba185474beed07fa15cb73 2592344 libc6-x32_2.18-1_i386.deb
 7b038ba4c4c383d08515108e2ed62e0dc3b58f3c 1578110 libc6-dev-x32_2.18-1_i386.deb
 2bf5da8f86a9c99e6c56a11d6d3c9e58c9cfcdfb 228784 nscd_2.18-1_i386.deb
 f0e57be05f5e7c33a15ae5638ac8055000c9709f 8094696 libc6-dbg_2.18-1_i386.deb
 9cdfde2fc0e5a559815477867d4ce9d74d46157a 802900 libc6-udeb_2.18-1_i386.udeb
 c1ea6259482f35486c6b83d031e903392a7b3a17 9542 libnss-dns-udeb_2.18-1_i386.udeb
 2f539da2a4d2af20e274187c955374cf7379082e 15488 libnss-files-udeb_2.18-1_i386.udeb
 7da475cc36b701231c32630c17292bcddd73f4ef 4647198 libc6_2.18-1_amd64.deb
 0ce89cc549b38d201d982dfb49009d5bde62b342 1993126 libc6-dev_2.18-1_amd64.deb
 b5eb71cb2c3c64bd79eabb021271ab78930fa423 1467082 libc6-pic_2.18-1_amd64.deb
 9ae3447337d725835ac8749dda6d583e6dd08314 1277102 libc-bin_2.18-1_amd64.deb
 e44fdcf20feff833d08d4981bc635ca55784843c 228430 libc-dev-bin_2.18-1_amd64.deb
 76a084d8deca30f7d0f135b5d216f51ff61aab7c 166682 multiarch-support_2.18-1_amd64.deb
 c06bc4ea723b99aee267948e50316d43d9871fad 1604908 libc6-prof_2.18-1_amd64.deb
 8bf65edbc394b1a3746b049c2a7826de1e112482 3186834 locales-all_2.18-1_amd64.deb
 dc54245c0be770aa7df3c0aa6e82e5c59a6426bf 2361860 libc6-i386_2.18-1_amd64.deb
 e15721488476c421b4f184b7084b465c6ab4e6e5 1305268 libc6-dev-i386_2.18-1_amd64.deb
 c3e11ad0d1a984ab5fba5f777cdaf4719277a2c5 2590102 libc6-x32_2.18-1_amd64.deb
 0e86e1beef353827e7e282f3f3d32808f3e721a0 1577684 libc6-dev-x32_2.18-1_amd64.deb
 10080faaa47f2bf444717bca1e5dda65f774b90f 230408 nscd_2.18-1_amd64.deb
 19c50c7270c77adad5617a88f49521a43ad8da19 3416874 libc6-dbg_2.18-1_amd64.deb
 8c447a7fb2cce4835992b13643edc2ca6bad210e 1063780 libc6-udeb_2.18-1_amd64.udeb
 09708a1256ff85b70b70b6a23e16b43313587951 10044 libnss-dns-udeb_2.18-1_amd64.udeb
 f4bfa4a2c50a5c1191eaa2bd417b416388e9c25b 16636 libnss-files-udeb_2.18-1_amd64.udeb
Checksums-Sha256: 
 4313847616578c2b545c1c28adeeed4d67f19f413e4979223349f0f457a3cf07 5040 eglibc_2.18-1.dsc
 d9d4b6ea961195419f4107d90bff2502d090b2808bed218273161ea471387892 986052 eglibc_2.18-1.debian.tar.xz
 292d075a1ef329395b8d78b7928436d6952edef489487f8d16bfb957ec7a5867 4523414 libc6_2.18-1_powerpc.deb
 7cd922e7ff032770028fed7e1cbb12c42f3037a99ff00bf2b792da6c050a086e 1922248 libc6-dev_2.18-1_powerpc.deb
 31aa893a36b7189ff0a6b937ed60e12e98a23eb77ef65de15fcdcb2e8d107f96 1372776 libc6-pic_2.18-1_powerpc.deb
 a191441617fa7689c6ecf652ac04edce23d2533d270086d1cd00b4173fdcae2c 1414582 libc-bin_2.18-1_powerpc.deb
 0a27608d14bddca82d19379cde8efd45e375940cca648aa0f8dbfb4e95d94949 224736 libc-dev-bin_2.18-1_powerpc.deb
 35d27ca6cb261a24612c5e32afbd17e2b75655020dff6f09702f275cb8d32314 166684 multiarch-support_2.18-1_powerpc.deb
 f32ae1ee80bcf073299389f18012e6177e1743e9a89c06aef1ddc8d76ec4643b 1542038 libc6-prof_2.18-1_powerpc.deb
 3382ef92453f2af97e91215e4bec9c10db63774ac1bc1c6675f5e5312a99e1ed 3538684 locales-all_2.18-1_powerpc.deb
 3544600e62db3f30935717a8deef7d2a4d94c715ff6b3759f4fec328bf12279a 2441044 libc6-ppc64_2.18-1_powerpc.deb
 b85cdfdebf621e98d827f41f1aebdc832a5342f7d02fae60f838cb9b094e3787 1575600 libc6-dev-ppc64_2.18-1_powerpc.deb
 ed004d1a150c90a6da00b0784a2a678be0d6a97e481858eca3808296b49a8d56 224648 nscd_2.18-1_powerpc.deb
 36060609def817af36ec3bccbefd7d53c9389f9ba9f0afcbf6ddb617c1d4a80c 3513764 libc6-dbg_2.18-1_powerpc.deb
 12ef095b10a82f2cf8db63972aae34ddd375772d9578b7268dc27baa0a902ccd 946566 libc6-udeb_2.18-1_powerpc.udeb
 7445cee6c53427cc0b74c2dc3d71a6cffa654a0c9d49a1180a2d575ad6b99b8f 9502 libnss-dns-udeb_2.18-1_powerpc.udeb
 08a790c620fb48ffaca22794e500eca6d2d9c096522488517ce97337b1c79f19 14178 libnss-files-udeb_2.18-1_powerpc.udeb
 bd6a0ee5cc5f21d049636e32d85d607b92de22dd29f537091e4a06f4a7550593 2222116 glibc-doc_2.18-1_all.deb
 bf8f5c85f1f380cdda1361b46603bd51a6b23d42d964e5faad6dc71459cb64c8 13232804 eglibc-source_2.18-1_all.deb
 8d6d4af3377166e1d39f9e00065ca3460efb2463f228533d239b7ad83bba5997 3894996 locales_2.18-1_all.deb
 8606be0a0aaeeb46607b4e8d9760858356eafbf0b0785e370d951fa07d0bf2fe 3955712 libc6_2.18-1_i386.deb
 cdd25230ebb08af6dbe78ea543a3240e9913ad7162ccb2511d429392bc596bcb 3033056 libc6-dev_2.18-1_i386.deb
 3500397301694e6e539c447c8ffc26e881fbf31ea2d21567027b2513094f0a73 1211360 libc6-pic_2.18-1_i386.deb
 c0e4cb7445dbed7ee66988d1a5f312696ca47171df4fafbf1cb2050ff01720be 1217132 libc-bin_2.18-1_i386.deb
 14318e853cce95f04a287175151cd2c232537ed1a221c50c5ac8d8354fbd3b96 225806 libc-dev-bin_2.18-1_i386.deb
 533ca4203012b64b3798f9d9164495129b0bec09a0c02a4fc9cbe745de12dc13 166682 multiarch-support_2.18-1_i386.deb
 cfb7e52b71997c945e305fb1db27e9eb10503146e16d1d2bf38cdb6a6fce7ce4 1260918 libc6-prof_2.18-1_i386.deb
 a34d49719833f7f01af04a15d1dcdcacd8f00a46f2b65f2f95a429e3d5fdbb5e 3180680 locales-all_2.18-1_i386.deb
 ab8233a507254204ce2236fd1571f2755bf7dff1b6b35a6629047bd79178756c 1154718 libc6-i686_2.18-1_i386.deb
 c6e6aeb58388a0844921fd070246d2261420e367bb9419f9c806a34853ca0314 1158568 libc6-xen_2.18-1_i386.deb
 2222296759f1a26d7f03fa5174edfd6ede328ba11e3e80d077ca9293492d26cf 2582210 libc6-amd64_2.18-1_i386.deb
 92165ad91862b31e3fad4287cc5d350d33fa4355ce1617260f3c98bca74b13ce 1591446 libc6-dev-amd64_2.18-1_i386.deb
 2765528d2a6fabcb6fd133c63140f1f280741b4c2d05e9e0205a6975cb4333a9 2592344 libc6-x32_2.18-1_i386.deb
 6c84d5e76585bba4f9a652016b6e9954a83356cd53a91795a96065f6ab333237 1578110 libc6-dev-x32_2.18-1_i386.deb
 7ee6aec6104e9676ff8cedf0b9805c488f4bced02ce299eb6503d7c5ad476875 228784 nscd_2.18-1_i386.deb
 74c7765b1ab891c22b793b403789d3835156a3c13607749377b44e927e7ce8d9 8094696 libc6-dbg_2.18-1_i386.deb
 cdd44cbbd839db14c6898343b91276e848dbc1f7b0b0d34464083bd7ef5dd237 802900 libc6-udeb_2.18-1_i386.udeb
 b2e5590e6b5d4e33f346686063a659f5552fa0e9030b423c214410a6b62a0e76 9542 libnss-dns-udeb_2.18-1_i386.udeb
 88ae030fdd1143796d095512c368b41173216c2d12402d03ef7c590d6482a2ce 15488 libnss-files-udeb_2.18-1_i386.udeb
 280593b51be1ba6b777cb3a82c58cf268122d529516ab0daff803bb5088c5191 4647198 libc6_2.18-1_amd64.deb
 a4331c4c2fa08dead9e7bab528308202fa7d863f388ad260884a5b5cd0b1d15c 1993126 libc6-dev_2.18-1_amd64.deb
 5659f5f23d70239836eaf9a45fdde65127e807c15c14f84e18d17822bce4ccf2 1467082 libc6-pic_2.18-1_amd64.deb
 7eb44d00a3806a19cae8a8d9af267cace0e17de6e927ba5e7d572865ed325480 1277102 libc-bin_2.18-1_amd64.deb
 01144884d9f14dce89a957d6cf82c8fd34971cc8e13d3fa237731ac3b35ec69b 228430 libc-dev-bin_2.18-1_amd64.deb
 274d1f2cea0b92813b8e95c64eef0be08722d039f58eee06b6524c4e1394ab4f 166682 multiarch-support_2.18-1_amd64.deb
 e8fc65350283ce4517c647abb20d845c748f623b116a46a2611b5c20d1baf4cb 1604908 libc6-prof_2.18-1_amd64.deb
 3d39219e8d007a28d14ede5c06d14d7f4f0e34718800e10672eccba721f0f718 3186834 locales-all_2.18-1_amd64.deb
 b22fc24968528f44e7dc9d54cdc277f3082f834a5ff79a6d2e85c3a0d0d84b4e 2361860 libc6-i386_2.18-1_amd64.deb
 c24087d954041ce07df41c0e215a30efcee2ef5c69c44c07a79dac40e65c962d 1305268 libc6-dev-i386_2.18-1_amd64.deb
 1e7678c51dd7c3df1f5fab813a1423c908440b0a237d97cdb9122be06cb9cea5 2590102 libc6-x32_2.18-1_amd64.deb
 3acc305d49c233399a802a48bfbfcf6b6818011383567c3846f3dadd4b35222a 1577684 libc6-dev-x32_2.18-1_amd64.deb
 96f79b5e84e2102b8cb385459ff253801874333e554c73e527f55742692cb3f7 230408 nscd_2.18-1_amd64.deb
 9af8929a79e073e1feec02572c2bf7385183b0443690500f4ec751ac4f148681 3416874 libc6-dbg_2.18-1_amd64.deb
 8124be94704fa1532a9a7c725f67bf19d34cf852f661473d5fa32c8326a9dd39 1063780 libc6-udeb_2.18-1_amd64.udeb
 515259013bfeb439c525745f580e15f878f7a7f75dd0fa9dcfe6b6a46587afcb 10044 libnss-dns-udeb_2.18-1_amd64.udeb
 bb2945d13725c87a2417a621dc7c8ed3290b4525aab7c264c7cf2e1dda3ced28 16636 libnss-files-udeb_2.18-1_amd64.udeb
Files: 
 47393da9df00cb17e51ecdabd0ab38fe 5040 libs required eglibc_2.18-1.dsc
 fc92680a09cbe0c62c36d76bccb28759 986052 libs required eglibc_2.18-1.debian.tar.xz
 02c6c47da364db1897da3b12060464c4 4523414 libs required libc6_2.18-1_powerpc.deb
 48606f5fd8f2785cab8c662f3578c545 1922248 libdevel optional libc6-dev_2.18-1_powerpc.deb
 d1510456358d1e3472ba1b0e5b647876 1372776 libdevel optional libc6-pic_2.18-1_powerpc.deb
 d831034b4efb1e4a6ea6c313e3dbf7f1 1414582 libs required libc-bin_2.18-1_powerpc.deb
 fb60682c38130aa41092cc7d86a80ba7 224736 libdevel optional libc-dev-bin_2.18-1_powerpc.deb
 dc6e1dab4682afd18884325d21fd1538 166684 libs required multiarch-support_2.18-1_powerpc.deb
 75efbf85ed9bf9d5c7250a7d2a45355b 1542038 libdevel extra libc6-prof_2.18-1_powerpc.deb
 d31ae99b2f09bd317f75248a4903b791 3538684 localization extra locales-all_2.18-1_powerpc.deb
 2b35addcc4926104efa9568f30fb114b 2441044 libs optional libc6-ppc64_2.18-1_powerpc.deb
 bf994f208b70754efd6f56f33c4624f6 1575600 libdevel optional libc6-dev-ppc64_2.18-1_powerpc.deb
 3e3e448b3347db7562cff0a556cb1134 224648 admin optional nscd_2.18-1_powerpc.deb
 e6490bd1528aa79b51ae40807019ef5e 3513764 debug extra libc6-dbg_2.18-1_powerpc.deb
 d49a3d8444dec8d2405b9f342baca0d3 946566 debian-installer extra libc6-udeb_2.18-1_powerpc.udeb
 4ea24b92fbb43e09b0ab067b969ec291 9502 debian-installer extra libnss-dns-udeb_2.18-1_powerpc.udeb
 d012596ca8c6667cb10b10583c785a29 14178 debian-installer extra libnss-files-udeb_2.18-1_powerpc.udeb
 39d8c07716a87114c4f3aa0300122e01 2222116 doc optional glibc-doc_2.18-1_all.deb
 1028492b587eb3a096b09d534d4db775 13232804 devel optional eglibc-source_2.18-1_all.deb
 bf0dd5dfa7763cc6a70d8b09a069df92 3894996 localization standard locales_2.18-1_all.deb
 bc8135e3c4126eff5cdc6860238f109c 3955712 libs required libc6_2.18-1_i386.deb
 90f7d4e8ecd6ff0da1deccd199488081 3033056 libdevel optional libc6-dev_2.18-1_i386.deb
 6898ba03961450b0b04a0763f1a09380 1211360 libdevel optional libc6-pic_2.18-1_i386.deb
 687c9f9de98cf41587ce43ab679b1e21 1217132 libs required libc-bin_2.18-1_i386.deb
 a1800a647a491377e87ca3537c083f50 225806 libdevel optional libc-dev-bin_2.18-1_i386.deb
 a36111e2510beb79aefe8dd1886fcef2 166682 libs required multiarch-support_2.18-1_i386.deb
 7c478330a86622e50546c8ab2212961a 1260918 libdevel extra libc6-prof_2.18-1_i386.deb
 f78b1b1bf18abfc486438f59f22af7cb 3180680 localization extra locales-all_2.18-1_i386.deb
 831fb86e597e5f49cfb57decb8cb6834 1154718 libs extra libc6-i686_2.18-1_i386.deb
 8b74fd7ac6eee5aac9bc42d3edd4effc 1158568 libs extra libc6-xen_2.18-1_i386.deb
 b19576592c83180d56ec26823869647b 2582210 libs optional libc6-amd64_2.18-1_i386.deb
 1e7980da1ffbc685e39dc7ef74842dbf 1591446 libdevel optional libc6-dev-amd64_2.18-1_i386.deb
 601196d8557cb541abb8fea9c054f6e6 2592344 libs optional libc6-x32_2.18-1_i386.deb
 ea5f241475c9b733838b2eb8f12c05b5 1578110 libdevel optional libc6-dev-x32_2.18-1_i386.deb
 d648f3b1f0ac52b44268ebd41582d429 228784 admin optional nscd_2.18-1_i386.deb
 f1a862f58006d906bd0999d7333b4af2 8094696 debug extra libc6-dbg_2.18-1_i386.deb
 12b8a3780e5b663d1f60a059731869bc 802900 debian-installer extra libc6-udeb_2.18-1_i386.udeb
 561663a65ba23bed80cbb1b214b935d7 9542 debian-installer extra libnss-dns-udeb_2.18-1_i386.udeb
 4482114b22ffb4e62d5e1c87959060d1 15488 debian-installer extra libnss-files-udeb_2.18-1_i386.udeb
 7691003ebe8845518ea4de084e9c4188 4647198 libs required libc6_2.18-1_amd64.deb
 09a9b19bc43ed9212db81a5845b9cd49 1993126 libdevel optional libc6-dev_2.18-1_amd64.deb
 cb680a55c141fe307ebb56566c5e5374 1467082 libdevel optional libc6-pic_2.18-1_amd64.deb
 625ddea70e61a0f0a2a582a85ded01d6 1277102 libs required libc-bin_2.18-1_amd64.deb
 246f24899f60f49925d997b6ada0daef 228430 libdevel optional libc-dev-bin_2.18-1_amd64.deb
 be2a3864d6354cd30d5426c5001f8c72 166682 libs required multiarch-support_2.18-1_amd64.deb
 2caf9aff9ddb3388feecf309cf8d8ce0 1604908 libdevel extra libc6-prof_2.18-1_amd64.deb
 d1e3fc666cf194af05bfb13598fbe1cd 3186834 localization extra locales-all_2.18-1_amd64.deb
 b3e77af2053d5553bf86ab68a1dfa5a0 2361860 libs optional libc6-i386_2.18-1_amd64.deb
 6f6bd668e25164617cfb2c2045c3315c 1305268 libdevel optional libc6-dev-i386_2.18-1_amd64.deb
 f43e2844fa9927cce00ce8b4cb9b59ee 2590102 libs optional libc6-x32_2.18-1_amd64.deb
 2830549043dd0f90b836b3c88af76ad3 1577684 libdevel optional libc6-dev-x32_2.18-1_amd64.deb
 cf508a2ceda49aef872aff35118d44cf 230408 admin optional nscd_2.18-1_amd64.deb
 f4bdd1ce566c587b5b1daf1b94f66948 3416874 debug extra libc6-dbg_2.18-1_amd64.deb
 da455cb294d3b7515ede988ccf0d87ae 1063780 debian-installer extra libc6-udeb_2.18-1_amd64.udeb
 ef1ca6cdaa138fd30ff322d5c0b9c73c 10044 debian-installer extra libnss-dns-udeb_2.18-1_amd64.udeb
 cb58bb7a3c1b42f62b306db2966b2dec 16636 debian-installer extra libnss-files-udeb_2.18-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlMG7wUACgkQvjztR8bOoMnbowCeI6Le7gpoSGtYZFr75ZfiyGMS
NG4AoLDLjWgkm+jUOprQs9BJ0H3gT5RP
=4Acu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Mar 2014 07:34:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:19:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.